org.apache.catalina.startup

## Class XmlErrorHandler

- java.lang.Object
- - org.apache.catalina.startup.XmlErrorHandler

All Implemented Interfaces:
  ErrorHandler

Deprecated.
Use `XmlErrorHandler`

    @Deprecated
    public class XmlErrorHandler
    extends Object
    implements ErrorHandler

### Constructor Summary

Constructors
Constructor and Description
`XmlErrorHandler()` Deprecated.

### Method Summary

Methods
`void` `error(SAXParseException exception)` Deprecated.
`void` `fatalError(SAXParseException exception)` Deprecated.
`Set<SAXParseException>` `getErrors()` Deprecated.
`Set<SAXParseException>` `getWarnings()` Deprecated.
`void` `logFindings(Log log, String source)` Deprecated.
`void` `warning(SAXParseException exception)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlErrorHandler

    public XmlErrorHandler()

Deprecated.

### Method Detail

#### error

    public void error(SAXParseException exception)
               throws SAXException

Deprecated.

Specified by:
  `error` in interface `ErrorHandler`
Throws:
  `SAXException`

#### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

Deprecated.

Specified by:
  `fatalError` in interface `ErrorHandler`
Throws:
  `SAXException`

#### warning

    public void warning(SAXParseException exception)
                 throws SAXException

Deprecated.

Specified by:
  `warning` in interface `ErrorHandler`
Throws:
  `SAXException`

#### getErrors

    public Set<SAXParseException> getErrors()

Deprecated.

#### getWarnings

    public Set<SAXParseException> getWarnings()

Deprecated.

#### logFindings

    public void logFindings(Log log,
                   String source)

Deprecated.